#! /bin/bash
TEXTDOMAINDIR=/usr/share/locale
TEXTDOMAIN=pacman-gui

# path pacman-script.sh
path=/usr/local/pacman-gui

PIXMAP=/usr/share/pixmaps

UPDATE="$path/pacman-script.sh 1"
UPGRADE="$path/pacman-script.sh 2"
FORCE="$path/pacman-script.sh 3"
INSTPAC="$path/pacman-script.sh 4"
UPPACK="$path/pacman-script.sh 10"
REMOVE="$path/pacman-script.sh 5"
SEARCH="$path/pacman-script.sh 6"
SEARCHINSTALL="$path/pacman-script.sh 7"
BELONG="$path/pacman-script.sh 8"
INFOPAC="$path/pacman-script.sh 9"
DEPPAC="$path/pacman-script.sh 11"
CACHE="$path/pacman-script.sh 12"
INFO="$path/pacman-script.sh 13"

SYNAPTIC=/usr/local/bin/xlm-synaptic.sh

export TEXTDOMAINDIR=/usr/share/locale
export TEXTDOMAIN=pacman-gui

export MAIN_DIALOG='
<window title="pacman-gui"  window_position="1">
 <vbox>
<pixmap><input file>'$PIXMAP/pacman-gui.png'</input></pixmap>
<text><label>'$(gettext 'pacman-gui - Gtk Frontend for pacman')'</label></text>
<hbox>

<frame>
<button>
<input file>'$PIXMAP/pacman-gui-package-install.png'</input>
<label>'$(gettext 'Install Packages')'</label>
<action signal="clicked">'$INSTPAC' &</action>
</button>
<button>
<input file>'$PIXMAP/pacman-gui-package-install.png'</input>
<label>'$(gettext 'Install local Package')'</label>
<action>'$UPPACK' &</action></button>
<button>
<input file>'$PIXMAP/pacman-gui-package-remove.png'</input>
<label>'$(gettext 'Remove Packages')'</label>
<action>'$REMOVE' &</action></button>
<button><input file>'$PIXMAP/pacman-gui-contents.png'</input>
<label>'$(gettext 'Search Packages')'</label>
<action signal="clicked">'$SEARCH' &</action></button>
</frame>
</hbox>

</vbox>
</window>
'

gtkdialog --program=MAIN_DIALOG
